Package: org.gradle.plugins.signing.type

## [Groovy] Interface SignatureTypeProvider

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `SignatureType` | `getDefaultType()`
    `SignatureType` | `getTypeForExtension(String extension)`
    `boolean` | `hasTypeForExtension(String extension)`
    `void` | `setDefaultType(String extension)`

- - ### Method Detail

    - #### SignatureType getDefaultType()

    - #### SignatureType getTypeForExtension(String extension)

    - #### boolean hasTypeForExtension(String extension)

    - #### void setDefaultType(String extension)